var EventosTax = {
    init: function() {
        $('#acciones-tax').on('click', '#importar-tax', function(e) {
            e.preventDefault();
            e.stopPropagation();
            Tax.modalImportTax();
        });

        $('#acciones-tax').on('click', '#exportar-tax', function(e) {
            e.preventDefault();
            e.stopPropagation();
            Tax.modalExportTax();
        });

        $('#acciones-tax').on('click', '#contraer-todo', function() {
            Tax.ocultarTodo();
            return false;
        });

        $('#acciones-tax').on('click', '#ocultar-deshabilitadas', function() {
            Tax.ocultarDeshabilitadas();
            return false;
        });

        $('#header-tax').on('click', '.ordenar-vista', function() {
            Tax.navVista(this);
            return false;
        });

        // mostrar modo edición para nuevo tax
        $('#nueva-tax,#lista-seccion').on('click', '.mostrar-nueva', function() {
            var elid = $(this).data('elid');
            Tax.mostrarOculto(elid);
            return false;
        });

        // mostrar modo edición para nuevo tax
        $('#nueva-tax,#lista-seccion').on('click', '.cancelar-nueva', function() {
            var elid = $(this).data('elid');
            Tax.ocultar(elid);
            return false;
        });

        // recargar los datos
        $('#nueva-tax').on('click', '#refresh-window', function() {
            window.location.reload();
            return false;
        });

        // guardar item y cerrar o mostrar nuevo
        $('#nueva-tax,#lista-seccion').on('click', '.guardar-item-nuevo', function() {
            var tipo = $(this).data('tipo');
            var identif = $(this).data('identif');
            var newitem = $(this).data('newitem');
            Tax.guardarItemNuevo(this, tipo, identif, newitem);
            return false;
        });

        // desplegar temas de la sección
        $('#lista-seccion').on('click', 'a.desplegar-tema', function() {
            var elid = $(this).data('elid');
            $(elid).click();
            return false;
        });

        // desplegar subtemas del tema
        $('#lista-seccion').on('click', 'a.desplegar-subtema', function() {
            var elid = $(this).data('elid');
            $(elid).click();
            return false;
        });
        $('#lista-seccion').on('click', 'a.mostrar-tema', function() {
            var elid = $(this).data('elid');
            Tax.mostrarTemas(this, elid);
            return false;
        });
        $('#lista-seccion').on('click', 'a.mostrar-subtema', function() {
            var elid = $(this).data('elid');
            Tax.mostrarSubtemas(this, elid);
            return false;
        });

        // buscar cambios a temas para la sección.
        $('#lista-seccion').on('click', 'a.refrescar-tema', function() {
            var elid = $(this).data('elid');
            Tax.mostrarTemas(false, elid);
            return false;
        });
        // buscar cambios a subtemas para el tema
        $('#lista-seccion').on('click', 'a.refrescar-subtema', function() {
            var elid = $(this).data('elid');
            Tax.mostrarSubtemas(false, elid);
            return false;
        });

        // habilitar - deshabilitar
        $('#lista-seccion').on('click', 'a.habilitar', function() {
            var tipo = $(this).data('tipo');
            var elid = $(this).data('elid');
            Tax.actualizarMostrar(this, tipo, elid);
            return false;
        });

        $('#lista-seccion').on('click', 'a.editar', function() {
            var tipo = $(this).data('tipo');
            var elid = $(this).data('elid');
            Tax.editarItem(tipo, elid);
            return false;
        });

        $('#lista-seccion').on('click', 'a.borrar', function() {
            var tipo = $(this).data('tipo');
            var elid = $(this).data('elid');
            Tax.borrarItem(this, tipo, elid);
            return false;
        });

        $('#lista-seccion').on('click', 'a.guardar-item', function() {
            var tipo = $(this).data('tipo');
            var elid = $(this).data('elid');
            Tax.guardarItem(this, tipo, elid);
            return false;
        });

        $('#lista-seccion').on('click', 'a.cancelar-editar', function() {
            var tipo = $(this).data('tipo');
            var elid = $(this).data('elid');
            Tax.cancelarEditar(this, tipo, elid);
            return false;
        });

        if (typeof UrlF5 !== 'undefined') {
            // editar urls f5 de la categoria
            $('#lista-seccion').on('click', '.show-f5', UrlF5.actions.editUrlTax);
            $('#alltax-f5').on('click', UrlF5.actions.editUrlTax);
        }

        Tax.bindShowSeo();
    }
};
$(document).ready(function() {
    EventosTax.init();
});
